package infra

import (
	"github.com/aliyun/aliyun-oss-go-sdk/oss"
	"os"
)

var (
	GlobalOssClientCicv *oss.Client
	GlobalOssBucketCicv *oss.Bucket
	GlobalOssClientPji  *oss.Client
	GlobalOssBucketPji  *oss.Bucket
)

func InitOssCicv(isUseCname bool, endpoint string, accessKeyId string, accessKeySecret string, bucketName string) {
	var err error
	if isUseCname {
		GlobalOssClientCicv, err = oss.New(endpoint, accessKeyId, accessKeySecret, oss.UseCname(true)) // 公网
	} else {
		GlobalOssClientCicv, err = oss.New(endpoint, accessKeyId, accessKeySecret, oss.UseCname(false)) // 内网
	}
	if err != nil {
		GlobalLogger.Error("无法创建阿里云client:", err)
		os.Exit(-1)
	}
	GlobalOssBucketCicv, err = GlobalOssClientCicv.Bucket(bucketName)
	if err != nil {
		GlobalLogger.Error("无法创建阿里云bucket:", err)
		os.Exit(-1)
	}
}

func InitOssPji(isUseCname bool, endpoint string, accessKeyId string, accessKeySecret string, bucketName string) {
	var err error
	if isUseCname {
		GlobalOssClientPji, err = oss.New(endpoint, accessKeyId, accessKeySecret, oss.UseCname(true)) // 公网
	} else {
		GlobalOssClientPji, err = oss.New(endpoint, accessKeyId, accessKeySecret, oss.UseCname(false)) // 内网
	}
	if err != nil {
		GlobalLogger.Error("无法创建阿里云client:", err)
		os.Exit(-1)
	}
	GlobalOssBucketPji, err = GlobalOssClientPji.Bucket(bucketName)
	if err != nil {
		GlobalLogger.Error("无法创建阿里云bucket:", err)
		os.Exit(-1)
	}
}
